## org.eclipse.xsd.ecore.exporter
Class XMIExporter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter
          org.eclipse.emf.exporter.ModelExporter
              org.eclipse.xsd.ecore.exporter.XSDExporter
                  org.eclipse.xsd.ecore.exporter.XMIExporter

    public class XMIExporter

extends XSDExporter

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.exporter.ModelExporter
`ModelExporter.EPackageExportInfo, ModelExporter.ExportData, ModelExporter.GenPackagesTreeIterator, ModelExporter.ReferencedGenPackageExportInfo`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ModelConverter
`ModelConverter.EPackageConvertInfo, ModelConverter.ReferencedEPackageFilter, ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary

Fields inherited from class org.eclipse.xsd.ecore.exporter.XSDExporter
`mapBuilder`

Fields inherited from class org.eclipse.emf.exporter.ModelExporter
`directoryURI, ePackageToGenPackageMap, GENANNOTATION_KEY_DIRECTORY_URI, GENANNOTATION_SOURCE_PREFIX, GENANNOTATION_SOURCE_SELECTED_EPACKAGES, GENANNOTATION_SOURCE_SELECTED_REFERENCES, genBaseToDetailsMap, saveEPackageArtifactURI, saveExporter`

Fields inherited from class org.eclipse.emf.converter.ModelConverter
`ePackages, ePackageToInfoMap, externalGenModelList, externalGenModelResourceSet, genModel, referencedEPackageFilter, referencedEPackageFilterToConvert, referencedGenPackages, referencedGenPackageToInfoMap`

Constructor Summary
`XMIExporter()`

Method Summary
`protected java.lang.String` `computeSchemaLocation(XSDSchemaDirective xsdSchemaDirective, URI artifactURI)`
`protected java.lang.String` `getDefaultArtifactLocation(EPackage ePackage)`
`java.lang.String` `getID()`
`protected XSDSchema` `getSchema(EPackage ePackage)`

Methods inherited from class org.eclipse.xsd.ecore.exporter.XSDExporter
`dispose, doCheckEPackageArtifactLocation, doExport, getReferencedGenPackageArtifactURI`

Methods inherited from class org.eclipse.emf.exporter.ModelExporter

`adjustGenModel, canConvert, checkEPackageArtifactLocation, computeArtifactURI, createEncodedURI, createEPackageInfo, createEPackagesList, createGenPackageConvertInfo, createReferencedEPackageFilterToConvert, createReferencedGenPackagesList, export, getArtifactURIs, getConverterGenAnnotationSource, getDefaultArtifactFileName, getDirectoryURI, getEPackageExportInfo, getEPackageToGenPackageMap, getExporterGenAnnotationDetails, getExporterNestedGenAnnotationDetails, getExporterNestedGenAnnotations, getGenBaseToGenAnnotationDetailsMap, getReferencedGenPackageExportInfo, isSaveEPackageArtifactURI, isSaveExporter, isValidEPackage, isValidReferencedGenPackage, loadGenModel, printExportData, save, saveEPackageArtifactURI, saveExporter, setDirectoryURI, setDirectoryURI, setGenModel, setSaveEPackageArtifactURI, setSaveExporter, validateDirectoryURI`

Methods inherited from class org.eclipse.emf.converter.ModelConverter

`clearEPackageConvertInfoCache, clearEPackagesCollections, clearReferenceGenPackageConvertInfoCache, computeEPackagesToConvert, computeValidReferencedGenPackages, createExternalGenModelResourceSet, createReferencedEPackageFilter, createResourceSet, filterReferencedEPackages, filterReferencedEPackagesToConvert, getEPackageConvertInfo, getEPackages, getEPackageToInfoMap, getExternalGenModels, getGenModel, getGenmodelSaveOptions, getGenModelSaveOptions, getReferencedGenPackages, getReferencedGenPackageToInfoMap, getReferenceGenPackageConvertInfo, getReferredEPackage, makeEPackageConvertDataUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIExporter

    public XMIExporter()

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    `getID` in class `XSDExporter`

### getDefaultArtifactLocation

    protected java.lang.String getDefaultArtifactLocation(EPackage ePackage)

  Overrides:
    `getDefaultArtifactLocation` in class `XSDExporter`

### getSchema

    protected XSDSchema getSchema(EPackage ePackage)

  Overrides:
    `getSchema` in class `XSDExporter`

### computeSchemaLocation

    protected java.lang.String computeSchemaLocation(XSDSchemaDirective xsdSchemaDirective,
                                                     URI artifactURI)

  Overrides:
    `computeSchemaLocation` in class `XSDExporter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.